Bug 1741725 - Geo-replication fails with missing gluster libgfchangelog.so
Summary: Geo-replication fails with missing gluster libgfchangelog.so
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: 6
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-16 00:34 UTC by Hesham
Modified: 2019-12-10 18:00 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-10 18:00:53 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Hesham 2019-08-16 00:34:53 UTC
Description of problem:
Geo-replication and remote data sync fails with the error: 
OSError: libgfchangelog.so: cannot open shared object file: No such file or directory

Version-Release number of selected component (if applicable):
glusterfs-libs-6.4-1.el7.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Deploy Hyperconverged oVirt
2. Configure geo-replication and remote data sync
3. Error occurs when remote data sync starts

Actual results:
libgfchangelog.so not found error

Expected results:
Geo-replication should complete

Additional info:
Creating the link to missing library resolves the issue:
ln -s /usr/lib64/libgfchangelog.so.0 /usr/lib64/libgfchangelog.so

This is basically a bug with upstream gluster packaging

Comment 1 Sahina Bose 2019-09-04 13:00:47 UTC
Aravinda - change of product needed?

Comment 2 cshao 2019-11-21 06:07:54 UTC
(In reply to Sahina Bose from comment #1)
> Aravinda - change of product needed?

I think so. This bug is about gluster.

Comment 4 Sunny Kumar 2019-12-10 18:00:53 UTC
This bug is fixed in latest release.



https://review.gluster.org/#/c/glusterfs/+/22557/.

Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.